# Git repo: https://cgit.freedesktop.org/xorg/driver/xf86-video-amdgpu/

# How to prepare the source archive from the git tree:
# $ hash=`git log -1 --format='%h'`
# $ date=`git log -1 --format='%cd' --date=short | tr -d -`
# $ git archive --prefix xf86-video-amdgpu-${date}-git${hash}/ ${hash} \
#	| xz -7e > xf86-video-amdgpu-${date}-git${hash}.tar.xz

# FIXME: fix the cases when immediate symbol resolution is not enough.
# For the present, fall back to the old symbol resolution rules for ld.
%define _disable_ld_now 1

Summary:	X.org driver for AMD graphics 
Name:		x11-driver-video-amdgpu
Version:	1.2.0
Release:	1
License:	MIT
Group:		System/X11
Url:		http://xorg.freedesktop.org
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-amdgpu-%{version}.tar.bz2

BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(libdrm) >= 2.4.63
BuildRequires:	pkgconfig(libdrm_amdgpu)
BuildRequires:	pkgconfig(gbm)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(xorg-macros)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(pciaccess)

Requires:	x11-server-common %(xserver-sdk-abi-requires videodrv)
Suggests:	linux-firmware

%description
%{name} is the X.org driver for AMD graphics.

%files
%doc COPYING README
%{_libdir}/xorg/modules/drivers/amdgpu_drv.so
%{_mandir}/man4/amdgpu.*
%{_datadir}/X11/xorg.conf.d/10-amdgpu.conf

#----------------------------------------------------------------------------

%prep
%setup -qn xf86-video-amdgpu-%{version}

%build
autoreconf -ifv
%configure2_5x --disable-static
%make

%install
%makeinstall_std

%changelog

* Thu Nov 17 2016 Evgenii Shatokhin <eugene.shatokhin@rosalab.ru> 1.2.0-1
- (11e2fb0) Updated to version 1.2.0


